public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/progressbar2/
Date: Tue,  5 Mar 2024 19:11:16 +0000 (UTC)	[thread overview]
Message-ID: <1709665559.12e99a663ec99dc890e0a5b44f6a565cc8fb8f47.mgorny@gentoo> (raw)

commit:     12e99a663ec99dc890e0a5b44f6a565cc8fb8f47
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Mar  5 19:05:59 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Mar  5 19:05:59 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=12e99a66

dev-python/progressbar2: Bump to 4.4.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/progressbar2/Manifest                  |  1 +
 dev-python/progressbar2/progressbar2-4.4.2.ebuild | 44 +++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/dev-python/progressbar2/Manifest b/dev-python/progressbar2/Manifest
index 1bde591b7515..51f51cdd0714 100644
--- a/dev-python/progressbar2/Manifest
+++ b/dev-python/progressbar2/Manifest
@@ -1,2 +1,3 @@
 DIST progressbar2-4.3.2.tar.gz 92504 BLAKE2B d5e0149fc54f3c4397c3de946db1aeef5c41e104ead1b0db1b19f81071a685c87ab3b425ea5eb3098db046db3a2ebfb29bce9a954f653327b5735fbb4f2c1f7f SHA512 d885a8b568149acf7a2cb5e5698f8677ee777c11a907f187c70c4ff4b52c656c40439ac8af00b652e5ddd4325721863c66b9f1a1b9a95d84f5fe081f94e4e0bf
 DIST progressbar2-4.4.1.tar.gz 101229 BLAKE2B 0817682a33910dd4e1f5c84528298fae3acca49003c9cc3af6034bde8e5a3214e3d87f733ba5a7e04b9648cf87272257a24d2c73c64a7d2dd2992fec5254d0ab SHA512 41748c4d51bbf51dc6c91e4612c22e8350753a9c4c0984a4b6cc170ae367224c413833c7e9853880012f746c8d2bb52c62a812f5d4c0054f081b39573228a29c
+DIST progressbar2-4.4.2.tar.gz 101342 BLAKE2B 67625a794bd19a4ed78be25789980038c69a6590277f085befeef805397972ff1160543814523c425218e019647f1c1641451198e2dd08a5f8eacd9e507a04af SHA512 705383badb3943d3d339854d02ee4114f0e76261373deb8f9aff00fe6aae7f37bacccbbc673c2cb36114c7f8ebbafa96a06408ce6e90c3d26a2e2c65ece86958

diff --git a/dev-python/progressbar2/progressbar2-4.4.2.ebuild b/dev-python/progressbar2/progressbar2-4.4.2.ebuild
new file mode 100644
index 000000000000..c22fa61d1930
--- /dev/null
+++ b/dev-python/progressbar2/progressbar2-4.4.2.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Text progressbar library for python"
+HOMEPAGE="
+	https://progressbar-2.readthedocs.io/
+	https://github.com/WoLpH/python-progressbar/
+	https://pypi.org/project/progressbar2/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+	>=dev-python/python-utils-3.8.1[${PYTHON_USEDEP}]
+	!dev-python/progressbar
+"
+BDEPEND="
+	test? (
+		>=dev-python/dill-0.3.6[${PYTHON_USEDEP}]
+		>=dev-python/freezegun-0.3.11[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+	sed -i -e '/cov/d' pytest.ini || die
+	default
+}
+
+python_test() {
+	local -x PYTHONDONTWRITEBYTECODE=1
+	local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+	epytest tests
+}


             reply	other threads:[~2024-03-05 19:11 UTC|newest]

Thread overview: 44+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-03-05 19:11 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-14 12:32 [gentoo-commits] repo/gentoo:master commit in: dev-python/progressbar2/ Michał Górny
2024-09-14 12:06 Arthur Zamarin
2024-08-29  4:52 Michał Górny
2024-07-08 19:22 Michał Górny
2024-03-22  4:38 Michał Górny
2024-03-21 19:24 Arthur Zamarin
2024-03-16 12:08 Michał Górny
2024-03-16 11:21 Arthur Zamarin
2024-02-26  4:35 Michał Górny
2024-01-06  9:54 Michał Górny
2024-01-06  9:50 Michał Górny
2023-12-18 17:07 Michał Górny
2023-11-24 16:32 Arthur Zamarin
2023-11-23 20:20 Michał Górny
2023-06-03 17:45 Michał Górny
2022-11-19 16:54 Michał Górny
2022-11-19 16:40 Sam James
2022-10-26 18:42 Arthur Zamarin
2022-10-18 18:07 Arthur Zamarin
2022-08-10 13:05 Sam James
2022-06-05  5:36 Michał Górny
2022-02-13 10:38 Michał Górny
2022-02-13 10:27 Jakov Smolić
2022-01-05 17:18 Arthur Zamarin
2021-11-13 13:22 Michał Górny
2021-11-13 11:35 Jakov Smolić
2021-10-16  6:09 Michał Górny
2021-10-16  1:14 Sam James
2021-10-15 21:07 Michał Górny
2021-10-13  9:05 Michał Górny
2021-10-04 20:40 Sam James
2021-09-15 20:26 Michał Górny
2021-08-25 17:40 Arthur Zamarin
2021-08-25 17:40 Arthur Zamarin
2021-08-25 17:40 Arthur Zamarin
2021-04-01 12:54 Thomas Deutschmann
2020-12-16 11:12 Sam James
2020-12-03 14:49 Sam James
2020-12-03 11:10 Sam James
2020-12-03  8:43 Sam James
2020-01-18 18:48 Michał Górny
2019-05-22 14:48 Tony Vroon
2019-02-01 15:52 Tony Vroon

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1709665559.12e99a663ec99dc890e0a5b44f6a565cc8fb8f47.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox